name: habo
description: A minimalist habit tracking application.
publish_to: 'none'
version: 3.1.2+5115

environment:
  sdk: ">=3.9.0 <4.0.0"
  flutter: ">=3.35.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  intl: any
  provider: ^6.1.2
  sqflite: ^2.3.3+2
  sqflite_common_ffi: ^2.3.3
  path: ^1.9.0
  path_provider: ^2.1.4
  table_calendar: ^3.1.2
  fl_chart: ^0.69.0
  shared_preferences: ^2.3.2
  awesome_notifications: ^0.11.0
  flutter_soloud: ^2.1.5
  audio_session: ^0.1.21
  local_auth: ^2.3.0
  home_widget: ^0.6.0
  flutter_localization: ^0.2.2
  dynamic_color: ^1.7.0
  google_fonts: ^6.2.1
  file_picker: ^8.1.2
  flutter_file_dialog: ^3.0.2
  share_plus: ^10.0.2
  window_manager: ^0.4.2
  reorderables: ^0.6.0
  uuid: ^4.5.0
  collection: ^1.18.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0
  mocktail: ^1.0.4
  flutter_launcher_icons: ^0.14.1
  flutter_native_splash: ^2.4.1

flutter:
  uses-material-design: true
  generate: true
  assets:
    - assets/
    - assets/images/
    - assets/images/onboard/
    - assets/sounds/
    - assets/google_fonts/

flutter_intl:
  enabled: true
